io.undertow.server.handlers

## Class ResponseRateLimitingHandler

- java.lang.Object
- - io.undertow.server.handlers.ResponseRateLimitingHandler

All Implemented Interfaces:
  HttpHandler

    public class ResponseRateLimitingHandler
    extends Object
    implements HttpHandler

Handler that limits the download rate

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `ResponseRateLimitingHandler.Builder`

### Constructor Summary

Constructors
Constructor and Description
`ResponseRateLimitingHandler(HttpHandler next, int bytes, long time, TimeUnit timeUnit)` A handler that limits the download speed to a set number of bytes/period

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResponseRateLimitingHandler

    public ResponseRateLimitingHandler(HttpHandler next,
                                       int bytes,
                                       long time,
                                       TimeUnit timeUnit)

A handler that limits the download speed to a set number of bytes/period

Parameters:
  `next` - The next handler
  `bytes` - The number of bytes per time period
  `time` - The time period
  `timeUnit` - The units of the time period

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`